package com.bonus.tcp.smartIdentify.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.common.entity.tcp.BraceletImageVo;

import java.util.List;

public interface BraceletImageService {
    /**
     * 手环绑定人员
     * @param vo
     * @return
     */
    AjaxResult uploadImage(BraceletImageVo vo);

    /**
     * 更新设备
     * @param vo
     * @return
     */
    AjaxResult setMessage(BraceletImageVo vo);

    /**
     *更新设备校验状态
     * @param devCode
     */
    void updateVerdateStatus(String  devCode);

    /**
     * 人脸校验接口
     * @param vo
     * @return
     */
    AjaxResult userVerification(BraceletImageVo vo);

    /**
     * 验证杆塔id
     * @param vo
     * @return
     */
    List<String> getShCodeByGt(BraceletImageVo vo);

    /**
     * 查询已绑定的手环
     * @param list
     * @return
     */
    List<String> getBdShCode(List<String> list);
}
